unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QuickRpt, QRCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    QuickRep1: TQuickRep;
    DetailBand1: TQRBand;
    QRLabel1: TQRLabel;
    QRLabel2: TQRLabel;
    QRLabel3: TQRLabel;
    procedure QuickRep1BeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
    procedure QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
  private
    FRow: integer;
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Unit1;

{$R *.DFM}

procedure TForm2.QuickRep1BeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
  FRow := 0;
end;

procedure TForm2.QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
begin
  if FRow > Form1.StringGrid1.RowCount - 1 then
    MoreData := False
  else
  begin
    MoreData := True;

    if FRow = 0 then
    begin
      QRLabel1.Caption := Form1.StringGrid1.Cells[0, FRow];
      QRLabel2.Caption := Form1.StringGrid1.Cells[1, FRow];
      QRLabel3.Caption := Form1.StringGrid1.Cells[2, FRow];
    end
    else
    begin
      QRLabel1.Caption := Form1.StringGrid1.Cells[0, FRow];
      QRLabel2.Caption := Form1.StringGrid1.Cells[1, FRow];
      QRLabel3.Caption := Form1.StringGrid1.Cells[2, FRow];
    end;
    Inc(FRow);
  end;
end;

end.
